<?php
define( 'OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/inc/' );
require_once dirname( __FILE__ ) . '/inc/options-framework.php';
include_once('baztro.php');
include_once('includes/installs.php');
include_once('includes/core/core.php');
function refresh_scripts() {
	/*
	 * Loads our main stylesheet.
	 */
	wp_enqueue_style( 'refresh-style', get_stylesheet_uri() );
	
	// Add Monda font, used in the main stylesheet.
	wp_enqueue_style( 'monda', get_template_directory_uri() . '/fonts/monda.css', array(), '1.1' );
	/**
	* Enqueues the javascript for comment replys 
	* 
	**/
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );
	}
add_action( 'wp_enqueue_scripts', 'refresh_scripts' );

	
	function refresh_hdmenu() {	
		wp_nav_menu();
	}
	
function refresh_post_meta_data() {
	printf( __( '<span class="%1$s"></span>%2$s<span class="%3$s"></span>%4$s', 'refresh' ),
	'meta-prep meta-prep-author posted', 
	sprintf( '<a href="%1$s" title="%2$s" rel="bookmark"><span class="timestamp updated">%3$s</span></a>',
		esc_url( get_permalink() ),
		esc_attr( get_the_time() ),
		esc_html( get_the_date() )
	),
	'byline',
	sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
		get_author_posts_url( get_the_author_meta( 'ID' ) ),
		sprintf( esc_attr__( 'View all posts by %s', 'refresh' ), get_the_author() ),
		esc_attr( get_the_author() )
		)
	);
}

/* Enable support for post-thumbnails ********************************************/
		
	// If we want to ensure that we only call this function if
	// the user is working with WP 2.9 or higher,
	// let's instead make sure that the function exists first
	
function refresh_theme_setup() { 
		add_theme_support( 'post-thumbnails' );	
		add_image_size( 'defaultthumb', 150, 150 , true );
		add_image_size( 'ltpostthumb', 45, 45 , true );
		
		
	    load_theme_textdomain('refresh', get_template_directory() . '/languages');
		
        add_editor_style();
		
	/**
 * Sets up the content width value based on the theme's design.
 */
		global $content_width;
		if ( ! isset( $content_width ) ) {
		$content_width = 700;
		}
        add_theme_support('automatic-feed-links');
		add_theme_support('title-tag');
		register_nav_menus(
			array(
 				'refresh-navigation' => __('Navigation', 'refresh'),
				)		
		);
		
		add_theme_support( 'custom-background', apply_filters( 'refresh_custom_background_args', array(
		'default-color' => 'ffffff',
		'default-image' => '',
	) ) );
	}
add_action( 'after_setup_theme', 'refresh_theme_setup' );
	

/* Excerpt ********************************************/

    function refresh_excerptlength_teaser($length) {
    return 12;
    }
    function refresh_excerptlength_index($length) {
    return 45;
    }
    function refresh_excerptmore($more) {
    return '...';
    }
    
    
    function refresh_excerpt($length_callback='', $more_callback='') {
    global $post;
    add_filter('excerpt_length', $length_callback);
 
    add_filter('excerpt_more', $more_callback);
   
    $output = get_the_excerpt();
    $output = apply_filters('wptexturize', $output);
    $output = apply_filters('convert_chars', $output);
    $output = '<p>'.$output.'</p>';
    echo $output;
    }

	

/* Widgets ********************************************/

    function refresh_widgets_init() {

	register_sidebar(array(
		'name' => __( 'Sidebar Right', 'refresh' ),
	    'before_widget' => '<div class="box clearfloat"><div class="boxinside clearfloat">',
	    'after_widget' => '</div></div>',
	    'before_title' => '<h4 class="widgettitle">',
	    'after_title' => '</h4>',
	));
		register_sidebar(array(
		'name' => __( 'Footer 1 (Premium Only)', 'refresh' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h4>',
	    'after_title' => '</h4>',
	));

	register_sidebar(array(
		'name' => __( 'Footer 2 (Premium Only)', 'refresh' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h4>',
	    'after_title' => '</h4>',
	));	

	register_sidebar(array(
		'name' => __( 'Footer 3 (Premium Only)', 'refresh' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h4>',
	    'after_title' => '</h4>',
	));	
}
add_action('widgets_init', 'refresh_widgets_init');
//---------------------------- [ Pagenavi Function ] ------------------------------//
 
function refresh_pagenavi() {
	global $wp_query;
	$big = 123456789;
	$page_format = paginate_links( array(
	    'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
	    'format' => '?paged=%#%',
	    'current' => max( 1, get_query_var('paged') ),
	    'total' => $wp_query->max_num_pages,
	    'type'  => 'array'
	) );
	if( is_array($page_format) ) {
	            $paged = ( get_query_var('paged') == 0 ) ? 1 : get_query_var('paged');
	            echo '<div class="wp-pagenavi">';
	            echo '<span class="pages">'. $paged . ' of ' . $wp_query->max_num_pages .'</span>';
	            foreach ( $page_format as $page ) {
	                    echo "$page";
	            }
	           echo '</div>';
	 }
}

?>